[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.LoadFromStream

Loads picture data in a supported image format from the specified stream.

## Declaration

Source position: graphics.pp line 921

`public procedure TPicture.LoadFromStream(`
`Stream: TStream`
`);`

## Arguments

`Stream` |  | Stream instance with the graphics format and data loaded in the method.

## See also

TGraphicClass |  | TGraphicClass - class of TGraphic.
TPortableNetworkGraphic |  | Implements support for the PNG image format.
TPixmap |  | Implements support for the XPM (Pixmap) image format.
TBitmap |  | Implements a FCL-compatible reader/writer for a Bitmap image.
TCursorImage |  | TCursorImage - an Icon to be used to represent a cursor.
TIcon |  | Implements an icon image type; small images typically associated with applications, controls, etc.
TIcnsIcon |  | Implements a macOS Icon Resource file.
TJpegImage |  | TJPEGImage - a class for handling images stored in JPEG (compressed) format.
TTiffImage |  | Implements support for the TIFF (Tag Image File Format) graphic format.
TGIFImage |  | Implements an image using the GIF (Graphics Interchange Format) image format.
TPortableAnyMapGraphic |  | Implements an image which supports for the Portable Any Map (PNM) graphic format.